# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:schema_only) do
  include EasyType
  include PuppetX::EnterpriseModules::Oracle::Access

  desc <<-DESC
    specify if the account is schema only, without password and cannot be logged in with.
  DESC

  newvalues(:true, :false)
  data_type('Optional[Boolean]')

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('AUTHENTICATION_TYPE').include?('NONE') ? :true : :false
  end

  on_create do
    nil
  end

  on_modify do
    'no authentication' if value.to_s == 'true'
  end
end
