# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'tempfile'
require 'fileutils'
require 'puppet_x/enterprisemodules/oracle/ora_tab'
require 'puppet_x/enterprisemodules/oracle/rman_command'

module PuppetX
  module EnterpriseModules
    module Oracle
      # docs
      class Rman
        attr_reader :sid, :target_conn, :catalog_conn

        def initialize(options = {})
          @command    = RmanCommand.new(options)
          @sid        = @command.sid
        end

        def execute(command)
          @command.execute(command)
        end
      end
    end
  end
end
